function love.load ()
	backX, backY = 0
	playerX = 50
	playerY = 300
	back = love.graphics.newImage("img/back.png")
	lazar = love.graphics.newImage("img/lazar.png")
	player = love.graphics.newImage("img/player.png")
	bullets = {bx,by}
end

function love.keypressed(key)

	--shoot
	if key == " " then
		table.insert(bullets, {playerX + 150,playerY})
	end
end

function love.draw ()
	--draw backgrounds
	love.graphics.draw(back, backX, backY)
	love.graphics.draw(back, backX + 800, backY)
	
	--draw bullets
	for i,v in ipairs(bullets) do
        love.graphics.draw(lazar, bullets.bx, bullets.by)
    end
	
	
	--draw player
	love.graphics.draw(player, playerX, playerY)
end

function love.update(dt)

	--scrolling
	if backX > -800 then
		backX = backX + (-75*dt)
	else
		backX = 0
	end
	
	--bullet movement
	for i,v in ipairs(bullets) do
        v.bx = v.bx + (200 * dt)
    end
	
	--player movement
	if love.keyboard.isDown("up") then
      playerY = playerY - 150*dt
	end
	if love.keyboard.isDown("down") then
      playerY = playerY + 150*dt
	end
end



